﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8.1
@EndOfDesignText@
Sub Class_Globals
	Private fx As JFX

	Private sock As Socket
	Private Astream As AsyncStreams

	Private mCallback As Object
	Private mEventName As String
	
	Private Uri As String
	Private Port  As Int
End Sub
'Initializes the object. You can add parameters to this method if needed.

Public Sub Initialize (Callback As Object, EventName As String)
	mCallback = Callback
	mEventName = EventName
End Sub

Sub Connect(Url As String, PortNum As Int)
	Uri = Url
	Port = PortNum
	If Astream.IsInitialized Then
		Astream.Close
	End If
	sock.Initialize("sock")
	sock.Connect(Uri, Port, 30000)
End Sub

Sub sock_Connected (Successful As Boolean)
	If Successful Then
		Log("Connection Success!")
		Astream.Initialize(sock.InputStream, sock.OutputStream, "Astream")
		mPath as String = "ticklecam.engr.utk.edu/axis-cgi/mjpg/video.cgi"
		Dim sTmp As String = $"GET ${mPath} HTTP/1.1
Host: ${mHost}
Connection: keep-alive

"$

		Astream.Write(sTmp.Replace(Chr(10), Chr(13) & Chr(10)).GetBytes("UTF8"))
		'Astream.InitializePrefix(sock.InputStream, True, sock.OutputStream, "Astream")
	Else
		Log("Connection Failure")
	End If
		
End Sub

Sub Astream_NewData (Buffer() As Byte)
	Log("NEW DATA")
End Sub
Sub Astream_NewStream (Dir As String, FileName As String)
	Log("NEW STREAM")
End Sub
Sub Astream_Error
	Log("AsyncStream Error")
End Sub
Sub Async_Terminated
	Log("AsyncStream Terminated")
End Sub